%global srcname d2to1

Name:           python-%{srcname}
Version:        0.2.12
Release:        %mkrel 1
Summary:        Allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/d2to1
Source0:        https://pypi.python.org/packages/source/d/%srcname/%srcname-%version.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%package -n     python3-%{srcname}
Summary:        Allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

%files
%doc CHANGES.rst CONTRIBUTORS README.rst
%{python2_sitelib}/d2to1*

%files -n python3-%{srcname}
%doc CHANGES.rst CONTRIBUTORS README.rst
%{python3_sitelib}/d2to1*


%changelog
* Thu Nov 12 2015 daviddavid <daviddavid> 0.2.12-1.mga6
+ Revision: 902784
- new version: 0.2.12
- add python 3 subpackage
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-7.mga5
+ Revision: 742048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.10-6.mga5
+ Revision: 728222
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-5.mga5
+ Revision: 687956
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.10-3.mga4
+ Revision: 543116
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.10-2.mga4
+ Revision: 498348
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.2.10-1.mga4
+ Revision: 460758
- imported package python-d2to1

